Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ImR_Activator_Loader Class Reference

`#include <Activator_Loader.h>`

Inheritance diagram for ImR_Activator_Loader:

[legend]
Collaboration diagram for ImR_Activator_Loader:

[legend]
List of all members.

## Public Member Functions
| ImR_Activator_Loader (void)
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
virtual CORBA::Object_ptr | create_object (CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[]) throw (CORBA::SystemException)
int | run (void)
## Private Member Functions
| ImR_Activator_Loader (const ImR_Activator_Loader &)
ImR_Activator_Loader & | operator= (const ImR_Activator_Loader &)
## Private Attributes
ImR_Activator_i | service_
Activator_Options | opts_
ACE_Auto_Ptr< ImR_Activator_ORB_Runner > | runner_

## Constructor & Destructor Documentation

ImR_Activator_Loader::ImR_Activator_Loader | ( | void |  | ) |

ImR_Activator_Loader::ImR_Activator_Loader | ( | const ImR_Activator_Loader & |  | ) | `[private]`

## Member Function Documentation

virtual CORBA::Object_ptr ImR_Activator_Loader::create_object | ( | CORBA::ORB_ptr | orb,
|  | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | throw (CORBA::SystemException)`[virtual]`

int ImR_Activator_Loader::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int ImR_Activator_Loader::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

ImR_Activator_Loader& ImR_Activator_Loader::operator= | ( | const ImR_Activator_Loader & |  | ) | `[private]`

int ImR_Activator_Loader::run | ( | void |  | ) |

## Member Data Documentation

Activator_Options ImR_Activator_Loader::opts_`[private]`

ACE_Auto_Ptr<ImR_Activator_ORB_Runner> ImR_Activator_Loader::runner_`[private]`

ImR_Activator_i ImR_Activator_Loader::service_`[private]`

The documentation for this class was generated from the following files:

- Activator_Loader.h
- Activator_Loader.cpp